Bug 1275507 - CTDB hook script: idmap backend entry to be modified in ctdb hook script as per new samba settings
CTDB hook script: idmap backend entry to be modified in ctdb hook script as p...
Status: CLOSED NOTABUG
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: samba (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Adam
storage-qa-internal@redhat.com
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-27 02:44 EDT by surabhi
Modified: 2015-12-17 09:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-17 09:10:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description surabhi 2015-10-27 02:44:44 EDT
Description of problem:

When we start a ctdb volume , the following entries gets added to smb.conf handled by hook script.(/var/lib/glusterd/hooks/1/start/post/S29CTDBsetup.sh)

clustering = Yes
idmap backend = tdb2

When we do testparm it gives error WARNING: The "idmap backend" option is deprecated 

The option should be like :
idmap config * : backend = tdb2


Version-Release number of selected component (if applicable):
glusterfs-3.7.1-16.el7rhgs.x86_64
samba-4.2.4-4.el7rhgs.x86_64

How reproducible:
Always

Steps to Reproduce:
1.Do ctdb setup
2.start the volume
3.execute testparm

Actual results:
Warning from testparm for idmap backend option which is deprecated now.

Expected results:
the id map backend option should be modified to idmap config * : backend = tdb2

Additional info:
Comment 2 Michael Adam 2015-12-16 18:15:40 EST
This (In reply to surabhi from comment #0)
> Description of problem:
> 
> When we start a ctdb volume , the following entries gets added to smb.conf
> handled by hook script.(/var/lib/glusterd/hooks/1/start/post/S29CTDBsetup.sh)
> 
> clustering = Yes
> idmap backend = tdb2

This is not done always but only if 'clustering = yes' is not found
in the smb.conf file. The whole mechanism is fragile though and
conceptually wrong and should be removed completely. This is treated
in upstream bug #1290151. They have already been pushed to upstream
master.

> When we do testparm it gives error WARNING: The "idmap backend" option is
> deprecated 
> 
> The option should be like :
> idmap config * : backend = tdb2

My assessment is that this is currently irrelevant:
It is only cosmetic (a warning), and we should rather
proceed with bringing bug #1290151 to downstream.

My 2 cents.

Note You need to log in before you can comment on or make changes to this bug.